<?php
/**
 * Plugin Name: F12 Floating Menu
 * Plugin URI: https://www.forge12.com/produkte/f12-floating-menu/
 * Description: Add a simple floating menu to your website.
 * Version: 1.4.2
 * Author: Forge12 Interactive GmbH
 * Author URI: https://www.forge12.com
 * License: GPLv3
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain: f12-floating-menu
 * Domain Path: /languages
 *
 * @package F12_Floating_Menu
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'FORGE12_FLOATING_VERSION', '1.4.2' );
define( 'FORGE12_FLOATING_SLUG', 'f12_floating_menu' );
define( 'FORGE12_FLOATING_FILE', __FILE__ );
define( 'FORGE12_FLOATING_BASENAME', plugin_basename( __FILE__ ) );
define( 'FORGE12_FLOATING_DIR', plugin_dir_path( __FILE__ ) );
define( 'FORGE12_FLOATING_URL', plugin_dir_url( __FILE__ ) );

/**
 * Activation / Deactivation hooks (must live in the main plugin file).
 */
require_once FORGE12_FLOATING_DIR . 'includes/class-activator.php';
require_once FORGE12_FLOATING_DIR . 'includes/class-deactivator.php';
register_activation_hook( __FILE__, array( '\forge12\floating_menu\Activator', 'activate' ) );
register_deactivation_hook( __FILE__, array( '\forge12\floating_menu\Deactivator', 'deactivate' ) );

/**
 * Bootstrap the plugin.
 */
require_once FORGE12_FLOATING_DIR . 'includes/class-application.php';
\forge12\floating_menu\Application::getInstance();
